UNIPAGECOUNT(1)

NAME
unipagecount - Count the assigned code points in a GNU Unifont .hex file

SYNOPSIS
unipagecount [-Pplane] [-ppagenum] [-h|-l]

DESCRIPTION
unipagecount reads a GNU Unifont .hex file from STDIN and prints a 16 by 16 grid of the number of defined code points in each 256 character block within a Unicode plane to STDOUT. Code points proceed from left to right, then top to bottom. In all planes, code points U+*FFFE and U+*FFFF are not expected in the input hex file; they are reserved and always counted as being present in a plane.

OPTIONS

-P  Select a Unicode plane, from 0 through 16, inclusive. If not specified, unipagecount defaults to Plane 0 (the Basic Multilingual Plane).

-p  Just print information on one 256 code point "page" rather than the entire Basic Multilingual Plane. This prints a 16 by 16 table with an asterisk in every code point that has an assigned glyph.

-h  Print an HTML table with color-coded cell background colors instead of a plain text table.

-l  [The letter "l"]: Print hyperlinks to font bitmaps in the HTML table. To create the bitmaps themselves, use the unihex2bmp program. The bitmaps are assumed to be in the directory "bmp/".

FILES
*.hex GNU Unifont font files

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexrotate(1), unipng2hex(1)

AUTHOR
unipagecount was written by Paul Hardy.

LICENSE
unipagecount is Copyright © 2007, 2014 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known real bugs exist, except that this software does not perform extensive error checking on its input files. If they're not in the format of the original GNU Unifont .hex file, all bets are off.